Skip to main content
POST
/
public
/
api
/
v1
/
inboxes
/
{inbox_identifier}
/
contacts
/
{contact_identifier}
/
conversations
/
{conversation_id}
/
messages
Create a message
curl --request POST \
  --url https://app.omnivibe.com.br/public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}/conversations/{conversation_id}/messages \
  --header 'Content-Type: application/json' \
  --data '
{
  "content": "Hello, how can I help you?",
  "echo_id": "1234567890"
}
'
{
  "id": 123,
  "content": "<string>",
  "message_type": 123,
  "content_type": "<string>",
  "content_attributes": {},
  "created_at": 123,
  "conversation_id": 123,
  "attachments": [
    {
      "id": 123,
      "message_id": 123,
      "file_type": "image",
      "account_id": 123,
      "extension": "<string>",
      "data_url": "<string>",
      "thumb_url": "<string>",
      "file_size": 123,
      "width": 123,
      "height": 123,
      "coordinates_lat": 123,
      "coordinates_long": 123,
      "fallback_title": "<string>",
      "meta": {},
      "transcribed_text": "<string>"
    }
  ],
  "sender": {
    "id": 123,
    "name": "<string>",
    "avatar_url": "<string>",
    "thumbnail": "<string>",
    "type": "contact",
    "available_name": "<string>",
    "availability_status": "<string>",
    "email": "<string>",
    "phone_number": "<string>",
    "identifier": "<string>",
    "blocked": true,
    "additional_attributes": {},
    "custom_attributes": {},
    "description": "<string>",
    "created_at": "<string>"
  }
}

Path Parameters

inbox_identifier
string
required

The identifier obtained from API inbox channel

contact_identifier
string
required

The source id of contact obtained on contact create

conversation_id
integer
required

The numeric ID of the conversation

Body

application/json
content
string

Content for the message

Example:

"Hello, how can I help you?"

echo_id
string

Temporary identifier which will be passed back via websockets

Example:

"1234567890"

Response

Success

id
integer

Id of the message

content
string | null

Text content of the message. Can be null for attachment-only messages.

message_type
integer

Denotes the message type. Possible values: 0 (incoming), 1 (outgoing), 2 (activity), 3 (template)

content_type
string

Content type of the message

content_attributes
object

Additional content attributes of the message

created_at
integer

Created at Unix timestamp of the message

conversation_id
integer

Display Id of the conversation the message belongs to

attachments
object[]

Attachments if any

sender
object

Polymorphic sender payload returned by push_event_data. Available fields vary by sender type.